# H225_GatekeeperRequest Class Reference

`#include <h225.h>`

Inheritance diagram for H225_GatekeeperRequest:

List of all members.

## Public Types

enum | OptionalFields { e_nonStandardData, e_gatekeeperIdentifier, e_callServices, e_endpointAlias, e_alternateEndpoints, e_tokens, e_cryptoTokens, e_authenticationCapability, e_algorithmOIDs, e_integrity, e_integrityCheckValue, e_supportsAltGK, e_featureSet, e_genericData, e_supportsAssignedGK, e_assignedGatekeeper }

## Public Member Functions

| H225_GatekeeperRequest (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_RequestSeqNum | m_requestSeqNum
H225_ProtocolIdentifier | m_protocolIdentifier
H225_NonStandardParameter | m_nonStandardData
H225_TransportAddress | m_rasAddress
H225_EndpointType | m_endpointType
H225_GatekeeperIdentifier | m_gatekeeperIdentifier
H225_QseriesOptions | m_callServices
H225_ArrayOf_AliasAddress | m_endpointAlias
H225_ArrayOf_Endpoint | m_alternateEndpoints
H225_ArrayOf_ClearToken | m_tokens
H225_ArrayOf_CryptoH323Token | m_cryptoTokens
H225_ArrayOf_AuthenticationMechanism | m_authenticationCapability
H225_ArrayOf_PASN_ObjectId | m_algorithmOIDs
H225_ArrayOf_IntegrityMechanism | m_integrity
H225_ICV | m_integrityCheckValue
PASN_Null | m_supportsAltGK
H225_FeatureSet | m_featureSet
H225_ArrayOf_GenericData | m_genericData
PASN_Boolean | m_supportsAssignedGK
H225_AlternateGK | m_assignedGatekeeper

## Member Enumeration Documentation

enum H225_GatekeeperRequest::OptionalFields

Enumerator:

  e_nonStandardData |
  e_gatekeeperIdentifier |
  e_callServices |
  e_endpointAlias |
  e_alternateEndpoints |
  e_tokens |
  e_cryptoTokens |
  e_authenticationCapability |
  e_algorithmOIDs |
  e_integrity |
  e_integrityCheckValue |
  e_supportsAltGK |
  e_featureSet |
  e_genericData |
  e_supportsAssignedGK |
  e_assignedGatekeeper |

## Constructor & Destructor Documentation

H225_GatekeeperRequest::H225_GatekeeperRequest | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_GatekeeperRequest::GetDataLength | ( |  | ) | const

PBoolean H225_GatekeeperRequest::Decode | ( | PASN_Stream & | strm | ) |

void H225_GatekeeperRequest::Encode | ( | PASN_Stream & | strm | ) | const

void H225_GatekeeperRequest::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_GatekeeperRequest::Compare | ( | const PObject & | obj | ) | const

PObject* H225_GatekeeperRequest::Clone | ( |  | ) | const

## Member Data Documentation

H225_RequestSeqNum H225_GatekeeperRequest::m_requestSeqNum

H225_ProtocolIdentifier H225_GatekeeperRequest::m_protocolIdentifier

H225_NonStandardParameter H225_GatekeeperRequest::m_nonStandardData

H225_TransportAddress H225_GatekeeperRequest::m_rasAddress

H225_EndpointType H225_GatekeeperRequest::m_endpointType

H225_GatekeeperIdentifier H225_GatekeeperRequest::m_gatekeeperIdentifier

H225_QseriesOptions H225_GatekeeperRequest::m_callServices

H225_ArrayOf_AliasAddress H225_GatekeeperRequest::m_endpointAlias

H225_ArrayOf_Endpoint H225_GatekeeperRequest::m_alternateEndpoints

H225_ArrayOf_ClearToken H225_GatekeeperRequest::m_tokens

H225_ArrayOf_CryptoH323Token H225_GatekeeperRequest::m_cryptoTokens

H225_ArrayOf_AuthenticationMechanism H225_GatekeeperRequest::m_authenticationCapability

H225_ArrayOf_PASN_ObjectId H225_GatekeeperRequest::m_algorithmOIDs

H225_ArrayOf_IntegrityMechanism H225_GatekeeperRequest::m_integrity

H225_ICV H225_GatekeeperRequest::m_integrityCheckValue

PASN_Null H225_GatekeeperRequest::m_supportsAltGK

H225_FeatureSet H225_GatekeeperRequest::m_featureSet

H225_ArrayOf_GenericData H225_GatekeeperRequest::m_genericData

PASN_Boolean H225_GatekeeperRequest::m_supportsAssignedGK

H225_AlternateGK H225_GatekeeperRequest::m_assignedGatekeeper

The documentation for this class was generated from the following file:

- h225.h